org.apache.tapestry5.internal.hibernate

## Class HibernateEntityValueEncoder<E>

- java.lang.Object
- - org.apache.tapestry5.internal.hibernate.HibernateEntityValueEncoder<E>

- All Implemented Interfaces:
    ValueEncoder<E>

      public final class HibernateEntityValueEncoder<E>
      extends Object
      implements ValueEncoder<E>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HibernateEntityValueEncoder(Class<E> entityClass, org.hibernate.mapping.PersistentClass persistentClass, org.hibernate.Session session, PropertyAccess propertyAccess, TypeCoercer typeCoercer, org.slf4j.Logger logger)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toClient(E value)` Converts a value into a client-side representation.
    `E` | `toValue(String clientValue)` Converts a client-side representation, provided by `ValueEncoder.toClient(Object)`, back into a server-side value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HibernateEntityValueEncoder

          public HibernateEntityValueEncoder(Class<E> entityClass,
                                             org.hibernate.mapping.PersistentClass persistentClass,
                                             org.hibernate.Session session,
                                             PropertyAccess propertyAccess,
                                             TypeCoercer typeCoercer,
                                             org.slf4j.Logger logger)

  - ### Method Detail

    - #### toClient

          public String toClient(E value)

      Description copied from interface: `ValueEncoder`
      Converts a value into a client-side representation. The value should be parseable by `ValueEncoder.toValue(String)`. In some cases, what is returned is an identifier used to locate the true object, rather than a string representation of the value itself.
      Specified by:
        `toClient` in interface `ValueEncoder<E>`
      Parameters:
        `value` - to be encoded
      Returns:
        a string representation of the value, or the value's identity

    - #### toValue

          public E toValue(String clientValue)

      Description copied from interface: `ValueEncoder`
      Converts a client-side representation, provided by `ValueEncoder.toClient(Object)`, back into a server-side value.
      Specified by:
        `toValue` in interface `ValueEncoder<E>`
      Parameters:
        `clientValue` - string representation of the value's identity
      Returns:
        the corresponding entity, or null if not found

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.